Name: mailgraph
Version: 1.2
Release: alt1

Summary: Simple mail statistics for Postfix
License: GPL
Group: Monitoring

Url: http://people.ee.ethz.ch/~dws/software/mailgraph/
Source0: http://people.ee.ethz.ch/~dws/software/mailgraph/pub/%name-%version.tar.gz
Source1: %name.init
Source2: %name.conf
Source3: localhost.htaccess
Patch0: %name-%version-paths.patch

PreReq: /sbin/chkconfig
PreReq: grep

Requires: postfix
Requires: perl-File-Tail
Requires: rrd-perl
#Requires: apache-mod_expires

Summary(ru_RU.KOI8-R):    Postfix
Summary(uk_UA.KOI8-U):    Postfix
Summary(pl): Proste statystyki dla Postfiksa

%define apache_group apache
%define maillog_group adm
%define mailgraph_user mailgraph
%define mailgraph_group mailgraph
%define mailgraph_cgi %_libdir/cgi-bin/%name
%define mailgraph_data %_localstatedir/%name

%description
Mailgraph is a very simple mail statistics RRDtool frontend for
Postfix that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.

%description -l ru_RU.KOI8-R
Mailgraph --       -
Postfix,   RRDtool.   , ,
     /   
  .

%description -l uk_UA.KOI8-U
Mailgraph --       -̦
Postfix,  դ  RRDtool.   Ʀ  , ,
ͦ  Ҧ  Φ/צĦΦ  צԦ  Ҧ 
Ԧ.

%description -l pl
Mailgraph to prosty frontend na RRDtool do statystyk pocztowych dla
Postfiksa. Produkuje wykresy dzienne, tygodniowe, miesiczne i roczne
poczty wysanej/odebranej i odbitej/odrzuconej.

%prep
%setup	-q
%patch0 -p1

%install
%__subst "s,'mailgraph.cgi','index.cgi'," mailgraph.cgi

install -d %buildroot{%mailgraph_data{/imgs,},%_var/run/mailgraph}
install -d %buildroot{%_sbindir,%_initdir,%mailgraph_cgi}
install -d %buildroot%_sysconfdir/httpd/conf

install mailgraph.cgi %buildroot%mailgraph_cgi/index.cgi
install mailgraph.pl %buildroot%_sbindir/mailgraph.pl

install %SOURCE1 %buildroot%_initdir/%name
install %SOURCE2 %buildroot%_sysconfdir/httpd/conf/%name.conf
install %SOURCE3 %buildroot%mailgraph_cgi/.htaccess

%pre
/usr/sbin/groupadd -r -f %mailgraph_group 2>/dev/null ||:
/usr/sbin/useradd -g %mailgraph_group -G %maillog_group \
	-c 'Mailgraph the Postfix Logfile Analyzer' \
	-d %mailgraph_data -s /dev/null -r %mailgraph_user \
	2>/dev/null ||:

%post
/sbin/chkconfig --add %name
if [ -f %_sysconfdir/httpd/conf/httpd.conf ] && \
	! grep -q "^Include.*/%name.conf" %_sysconfdir/httpd/conf/httpd.conf; then
	echo "Include %_sysconfdir/httpd/conf/%name.conf" >> %_sysconfdir/httpd/conf/httpd.conf
	%_initdir/httpd condrestart 1>&2
fi

if [ -f /var/lock/subsys/%name ]; then
	/etc/rc.d/init.d/%name restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/%name start\" to start %name service."
fi

%preun
if [ "$1" = "0" ]; then
	grep -E -v "^Include.*%name.conf" %_sysconfdir/httpd/conf/httpd.conf > \
		%_sysconfdir/httpd/conf/httpd.conf.tmp
	mv -f %_sysconfdir/httpd/conf/httpd.conf.tmp %_sysconfdir/httpd/conf/httpd.conf
	/etc/rc.d/init.d/httpd restart 1>&2
	if [ -f /var/lock/subsys/%name ]; then
		/etc/rc.d/init.d/%name stop 1>&2
	fi
	/sbin/chkconfig --del %name
fi
/usr/sbin/userdel -r %mailgraph_user 2>/dev/null ||:
/usr/sbin/groupdel -r %mailgraph_group 2>/dev/null ||:

#TODO: try again to let non-root webmaster edit the config file

%files
%_sbindir/mailgraph.pl
%_initdir/mailgraph
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %_sysconfdir/httpd/conf/mailgraph.conf
%attr(751,%mailgraph_user,root) %dir %_var/run/mailgraph
%attr(751,%mailgraph_user,root) %dir %mailgraph_data
%attr(771,%mailgraph_user,%apache_group) %dir %mailgraph_data/imgs
%attr(0640,root,apache) %config(noreplace) %mailgraph_cgi/.htaccess
%mailgraph_cgi/index.cgi
%doc README CHANGES

%changelog
* Sun Mar 09 2003 Michael Shigorin <mike@altlinux.ru> 1.2-alt1
- built for ALT Linux
- spec adapted from PLD <feedback@pld.org.pl> (0.20)
  All persons listed below can be reached at <cvs_login>@pld.org.pl
  blues, grzegorz, kloczek, qboosh 
- heavy spec cleanup
- mailgraph.pl no longer runs as root
- access from localhost only by default
